JSON::Token -

# class JSON::Token

- JSON::Token
- Reference
- Object

## Defined in:

## Constructors

- .new

## Instance Method Summary

- #column_number : Int32
- #column_number=(column_number : Int32)
- #float_value : Float64
- #float_value=(float_value : Float64)
- #int_value : Int64
- #int_value=(int_value : Int64)
- #kind : Kind
- #kind=(kind : Kind)
- #line_number : Int32
- #line_number=(line_number : Int32)
- #raw_value : String
- #raw_value=(raw_value : String)
- #string_value : String
- #string_value=(string_value : String)
- #to_s(io : IO) : Nil
- #type : Symbol

  DEPRECATED Use JSON::Token#kind, which is an enum

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new #

## Instance Method Detail

def column_number : Int32 #
def column_number=(column_number : Int32) #
def float_value : Float64 #
def float_value=(float_value : Float64) #
def int_value : Int64 #
def int_value=(int_value : Int64) #
def kind : Kind #
def kind=(kind : Kind) #
def line_number : Int32 #
def line_number=(line_number : Int32) #
def raw_value : String #
def raw_value=(raw_value : String) #
def string_value : String #
def string_value=(string_value : String) #
def to_s(io : IO) : Nil #
def type : Symbol #

DEPRECATED Use JSON::Token#kind, which is an enum